#!/usr/bin/perl -w

my @locales = sort(`locale -a`);
unshift(@locales, 'POSIX');
foreach my $locale (@locales) {
  chomp($locale);
  $ENV{LANG} = $locale;
  my $nl_langinfo_codeset = `./nl_langinfo_codeset`;
  chomp($nl_langinfo_codeset);
  print "$locale=$nl_langinfo_codeset\n";
}
exit(0);

